# AutoProtoClassBuilder Class Reference
[Class builders]

Inheritance diagram for AutoProtoClassBuilder:
[legend]

List of all members.

## Static Public Member Functions

static | build (MetaClass $class)

## Static Private Member Functions

static | dumpMetaClass (MetaClass $class)

## Detailed Description

Definition at line 15 of file AutoProtoClassBuilder.class.php.

## Member Function Documentation

static AutoProtoClassBuilder::build | ( | MetaClass $ | class | ) | `[static]`

Reimplemented from BaseBuilder.

Definition at line 17 of file AutoProtoClassBuilder.class.php.

References dumpMetaClass(), BaseBuilder::getHead(), MetaClass::getName(), MetaClass::getParent(), and MetaClass::hasBuildableParent().

Referenced by BasePattern::buildProto().

Here is the call graph for this function:

static AutoProtoClassBuilder::dumpMetaClass | ( | MetaClass $ | class | ) | `[static, private]`

Definition at line 44 of file AutoProtoClassBuilder.class.php.

References MetaClass::getIdentifier(), MetaClass::getWithInternalProperties(), and MetaClass::hasBuildableParent().

Referenced by build().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- meta/builders/AutoProtoClassBuilder.class.php